## org.apache.mahout.math
Class Algebra

    java.lang.Object
      org.apache.mahout.math.Algebra

    public final class Algebra

extends Object

Method Summary
`static double` `getNorm(Matrix m)` Compute Maximum Absolute Row Sum Norm of input Matrix m http://mathworld.wolfram.com/MaximumAbsoluteRowSumNorm.html
`static double` `hypot(double a, double b)` Returns sqrt(a^2 + b^2) without under/overflow.
`static Vector` `mult(Matrix m, Vector v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### mult

    public static Vector mult(Matrix m,
                              Vector v)

### hypot

    public static double hypot(double a,
                               double b)

  Returns sqrt(a^2 + b^2) without under/overflow.

### getNorm

    public static double getNorm(Matrix m)

  Compute Maximum Absolute Row Sum Norm of input Matrix m http://mathworld.wolfram.com/MaximumAbsoluteRowSumNorm.html

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.